#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Thu Feb 17 16:31:45 2022

@author: anton
"""

# Performance

C0      = 12.8e-12     # specific antenna capacinatnce in [pF/m]
SAfloor = (10e-9)**2   # antenna-referred floor noise in [V^2/m^2/Hz]
SAlow   = (200e-9)**2  # antenna-referred noise at Flow in [V^2/m^2/Hz]
Flow    = 10e3         # measurement frequency for low-frequency noise in [Hz]
Sforder = -2           # order of the antenna-refrerred noise spectral density
                       # at low frequencies
E1dBcmp = 0.45         # Field strength for 1 dB compression in [Vrms] assume
                       # sinusoidal signal
gainErr = 0.2          # relative gain error between Fmin and Fmax
fMin    = 0.1e6        # lower frequency limit for inaccuray specification
fMax    = 1e6          # upper frequency limit for inaccuray specification

# Costs

LA      = 0.5          # antenna length in [m]

# PCB area and power dissipation are also cost factors

# Environment

Tmin    = -25          # Lower limit of operating temperature range
Tmax    = -70          # Upper limit of operating temperature range

# Reliability

# ESD protection required

Cesd    = 1e-12        # small-signal capacitance of ESD diode